APF(1)

NAME
apf - easy iptables based firewall system

SYNOPSIS
apf

DESCRIPTION
This manual page documents briefly the apf command. This manual page was written for the Debian distribution because the original program does not have a manual page.

Advanced Policy Firewall (APF) is an iptables (netfilter) based firewall system designed around the essential needs of today's Internet deployed servers and the unique needs of custom deployed Linux installations. The configuration of APF is designed to be very informative and present the user with an easy to follow process, from top to bottom of the configuration file. The management of APF on a day-to-day basis is conducted from the command line with the 'apf' command, which includes detailed usage information and all the features one would expect from a current and forward thinking firewall solution.

OPTIONS
apf follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-s|--start
    load all firewall rules

-r|--restart
    stop (flush) & reload firewall rules

-l|--list
    list all firewall rules

-t|--status
    output firewall status log

-e|--refresh
    refresh & resolve dns names in trust rules

-a <HOST CMT|--allow <HOST COMMENT>
    add host (IP/FQDN) to allow_hosts.rules and immediately load new rule into firewall

-d <HOST CMT|--deny <HOST COMMENT>
    add host (IP/FQDN) to deny_hosts.rules and immediately load new rule into firewall

-u <HOST>|--remove <HOST>
    remove host from [glob]*_hosts.rules and immediately remove rule from firewall

-o|--ovars
    output all configuration options

COPYRIGHT
Copyright © 1999-2007, R-fx Networks <proj@r-fx.org>
Copyright © 2007, Ryan MacDonald <ryan@r-fx.org> This program may be freely redistributed under the terms of the GNU GPL

This manual page was written by Giuseppe Iuculano <giuseppe@iuculano.it>, for the Debian project (but may be used by others).